PATCH
/discount-groups/{discount_group_id} Updates a discount group using its ID.
If successful, your response includes a copy of the updated discount group entity.
Requires discount.write
permission.
Path parameters
discount_group_idstringrequired
Paddle ID of the discount group entity to work with.
Pattern:
^dsg_[a-z\d]{26}$Request body
statusstring
Whether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
namestring
Name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
Response (200)
dataobjectrequired
Represents a discount group entity.
idstringrequired
Example:
dsg_01js2gqehzccfkywgx1jk2mtspUnique Paddle ID for this discount group, prefixed with
dsg_.Pattern:
^dsg_[a-z\d]{26}$namestringrequired
Unique name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
statusstringrequired
Whether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "name": "Cyber Monday 2025"}{ "data": { "id": "dsg_01hv6scyf7qdnzcdq01t2y8dx4", "status": "active", "name": "Cyber Monday 2025", "import_meta": null, "created_at": "2024-11-28T14:36:14.695Z", "updated_at": "2024-11-28T14:38:12.331Z" }, "meta": { "request_id": "dd850364-99f7-4e27-bb1e-0a477bdb320b" }}